Bug 70866 - (CPQARRAY INSTALLER)Compaq Proliant wont boot after up2date giving a kernel panic
(CPQARRAY INSTALLER)Compaq Proliant wont boot after up2date giving a kernel p...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 05:12 EDT by alexist
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description alexist 2002-08-06 05:12:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I had a working default installation of Redhat 7.1 on a COMPAQ Proliant DL380 
server with an integrated compaq raid array controller (4xx). With 3 RAID 5 
drives and an online spare.

I ran up2date to update the system including the kernel. On reboot it now 
kernel panics the  last few messages are:

mount: error 19 mounting ext2
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed: 2
Freeing unused kernel memory: 280k freed
kernel panic: No init found. Try passing init= option to kernel

Going back to the previous kernel linux_bak on the lilo menu allowed me to boot 
the system again.

I have also tried fresh installs of RedHat 7.2 and 7.3 and they won't boot at 
all. They give similar error messages. Except the mount error is

mount: error 6 mounting ext3

I have booted in rescue mode and the filesystem is there and looks ok, 
including /initrd.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update to the latest 7.1 kernel from the orginal
or install RedHat 7.2 or Install RedHat 7.3
2.
3.
	

Actual Results:  It doesn't boot with errors

mount: error 19 mounting ext2
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed: 2
Freeing unused kernel memory: 280k freed
kernel panic: No init found. Try passing init= option to kernel

or

mount: error 6 mounting ext3
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed: 2
Freeing unused kernel memory: 280k freed
kernel panic: No init found. Try passing init= option to kernel


Expected Results:  I thought it might boot like it used to.

Additional info:
Comment 1 Arjan van de Ven 2002-08-06 05:14:28 EDT
What disk (sda? sdb?) is your root device on?
Can you give an "lspci" and "lscpi -n" info for the raid controller (the rest is
not really needed)
Comment 2 alexist 2002-08-06 05:50:55 EDT
Currently the machine is a none booting Redhat 7.3. So from rescue mode:

The root device is the RAID drive

/dev/ida/c1d0p1

lspci gives two entries about RAID they are

00:01.0 RAID bus controller: LSI Logic / Symbios Logic (formerly NCR) 53c895 
(rev 02)
03:04.0 RAID bus controller: Digital Equipment Corporation DECchip 21554 (rev 
01)

lspci -n gives

00:01.0 Class 0104: 1000:0010 (rev 02)
03:04.0 Class 0104: 1011:0046 (rev 01)
Comment 3 Arjan van de Ven 2002-08-06 05:52:19 EDT
ok weird question: are you using grub ?
Comment 4 alexist 2002-08-06 05:58:15 EDT
Yes I am now.

The original 7.1 installation used LILO until the update caused the problem.

I used the GRUB default for 7.2 and 7.3 when I tried them.
Comment 5 alexist 2002-08-06 07:06:08 EDT
OK I just tried doing a minimal install of RedHat 7.3 with no X windows etc.

I let the install set the partitions but I picked LILO as the boot loader 
rather than GRUB

It boots!!

I also tried 7.2 minimal install with LILO and that boots also.

It must be a GRUB problem. I'll stick to LILO as it gets me up and running 
again. Thanks for the help.
Comment 6 alexist 2002-08-07 06:23:39 EDT
I am still having trouble with this.

Grub doesn't want to boot from the RAID 5 partition at all.

LILO will boot but only from a freshly installed kernel. Any use of up2date to 
update the kernel will cause even LILO to stop booting. However rolling back to 
the previous kernel linux_bak from the LILO menu will work.

I have just run up2date on a LILO booting Redhat 7.2 with kernel 2.4.7-10. 
Up2date loaded 2.4.9-34 but the LILO refuses to boot this kernel giving the 
errors described above. The old 2.4.7-10 still boots.
Comment 7 alexist 2002-08-07 08:08:28 EDT
I just noticed the updated kernel thinks the RAID device
is /dev/ida/c0d0p1 rather than /dev/ida/c1d0p1 which the original kernel 
thought it was.

I changed the lilo-conf entry for the new kernel to say

root=/dev/ida/c0d0p1

And fstab entry for swap to

/dev/ida/c0d0p3

Reran LILO and now the updated kernel boots

Very strange.



Comment 8 Niels Kristian Jensen 2003-01-31 03:05:34 EST
My Compaq Proliant 1500 with the SMART-2/E RAID controller runs the 2.4.20 
kernel in SMP mode (from kernel.org).

It runs apache, Lotus Domino, proftp and several other servers, it's been 
stable for 12 hours now.

I selected built-in option for the cpqarray driver under block devices and I 
still supply the memory layout to the kernel during boot.

mem=exactmem mem=640K@0 mem=xxxM@1M

(where xxx is your amount of memory minus 1 megabyte)

I hope this info helps you guys.
Comment 9 Bugzilla owner 2004-09-30 11:39:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.